/**************************************************** Szczegóły odcinka - nagłówek ***********************************************/
#lista_epizodfilm {
	box-shadow: none;
	margin-bottom: 5rem;
}

#lista_epizodfilm #header, #lista_epizodfilm #footer {
	text-align: center;
	letter-spacing: 0.2rem;
	color: #222;
	margin: 3rem;
	transform: rotate(-1deg);
}

#lista_epizodfilm #header {
	margin-bottom: 2rem;
}

#lista_epizodfilm #footer {
	margin-top: 1rem;
}

/**************************************************** Ocena pod filmami ***********************************************/
#lista_epizodfilm #ocena {
	box-shadow: 0 0 0.5rem #ccc;
	padding: 1rem;
	border-radius: 1rem;
	margin: 1rem -1rem 1rem;
}

#lista_epizodfilm #ocena #opis{
	margin: 0.5rem;
	letter-spacing: 0.1rem;
}

#lista_epizodfilm #ocena #gwiazdki img {
	width: 3rem;
	padding: 0.4rem;
	cursor: pointer;
}

/************************************************************ Opcje ***********************************************************/
#lista_epizodfilm #opcje {
	box-shadow: 0 0 0.5rem #ccc;
	padding: 1rem;
	border-radius: 1rem;
	margin: 1rem -1rem 1rem;
}

#lista_epizodfilm #opcje > div > * {
	align-self: center;
	margin: 0.25rem 0.25rem;
	color: #333;
	font-size: 1.2rem;
	/* letter-spacing: 0.05rem; */
}

#lista_epizodfilm #opcje button {
	width: 2rem;
	height: 2rem;
	color: white;
	font-size: 1.4em;
	padding-top: 0;
	border-color: var(--maincolor);
	background-color: var(--maincolor);
}

#lista_epizodfilm #opcje button:not(.wcisniety) {
	background-color: white;
}

/**************************************************** Przycisk rozpoczęcie treningu ***************************************************/
button.cwicz {
	padding: 0.4rem;
	font-size: 1.6rem;
	width: 15rem;
	max-width: 100%;
	align-self: flex-end;
}

button.cwicz.szeroki {
	margin: 1rem auto 1rem;
	display: block;
	width: 600px;
	max-width: 90vw;
}

button.cwicz.wcisniety {
	background-color: white;
	color: var(--maincolor);
}

/******************************************************************************************************************************/

/******************************************************** Szczegóły odcinka ***************************************************/
#glowna_epizodfilm {
	margin: 0 -1rem;
}

#glowna_epizodfilm .zestaw {
	display: flex;
	flex-direction: row;
	padding-bottom: 1rem;
	padding-top: 1rem;
	border-bottom: 1px solid lightgray;
	margin: 1rem 0 2rem;
	box-shadow: 0 0 0.5rem #ccc;
	border-radius: 1rem;
}

#glowna_epizodfilm .zestaw .film {
	width: var(--moviewidth);
	height: calc(var(--moviewidth) / 1.78);
	max-height: 100vh;
}

@media screen and (min-width: 901px) {
	#glowna_epizodfilm .zestaw .film {
		--moviewidth: calc(var(--pagewidth) * 0.7);
		margin: 0 1rem 0 0;
	}

	/* Co drugi film ma być po prawej stronie */
	#glowna_epizodfilm .zestaw.parzysty .film {
		order: 1;
		margin: 0 0 0 1rem;
	}

	/* Duży film, bez opcji */
	#glowna_epizodfilm .zestaw.duzy .film {
		--moviewidth: var(--pagewidth);
		margin: 0;
		transition: 0.25s;
	}

	#glowna_epizodfilm .zestaw.duzy .szczegoly {
		width: 0;
		height: 0;
		opacity: 0;
	}
}

/******************************************************** Zdjęcie i opis ***************************************************/
#glowna_epizodfilm .zestaw .szczegoly {
	width: calc(var(--pagewidth) * 0.3);
	margin-top: 1rem;
	text-align: center;
}

#glowna_epizodfilm .zestaw .szczegoly > * {
	margin: 0 auto 0;
}

#glowna_epizodfilm .zestaw .szczegoly .thumbnail {
	width: 50%;
	display: flex;
	align-self: center;
	border-radius: 5%;
}

#glowna_epizodfilm .zestaw .szczegoly .opis {
	font-size: 1.75rem;
	letter-spacing: 0.2rem;
	padding: 0.5rem;
	align-self: center;
}

#glowna_epizodfilm .zestaw .szczegoly .thumbnail, #glowna_epizodfilm .zestaw .szczegoly .opis {
	transform: rotate(2deg);
}

/* Co drugi opis ma być obrócony w drugą stronę */
#glowna_epizodfilm .zestaw.parzysty .szczegoly .thumbnail, #glowna_epizodfilm .zestaw.parzysty .szczegoly .opis {
	transform: rotate(-2deg);
}

/**************************************************** Dodatki - przyciski *************************************************/

#glowna_epizodfilm .zestaw .szczegoly .dodatki {
	margin: auto 1rem 0;
	justify-content: space-between;
}

#glowna_epizodfilm .zestaw .szczegoly .dodatki .sztanga {
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
	cursor: pointer;
	width: 6rem;
	height: 4rem;
	margin: 0 0 0 auto;
}

@media screen and (min-width: 901px) {
	#glowna_epizodfilm .zestaw.parzysty .szczegoly .dodatki .sztanga {
		order: -1;
		margin: 0 auto 0 0;
	}
}

#glowna_epizodfilm .zestaw .szczegoly .dodatki .sztanga.niewykonane {
	background-image: url("/images/bar-down.png");
}

#glowna_epizodfilm .zestaw .szczegoly .dodatki .sztanga.wpolowie {
	background-image: url("/images/bar-half.png");
}

#glowna_epizodfilm .zestaw .szczegoly .dodatki .sztanga.wykonane {
	background-image: url("/images/bar-up.png");
}

#glowna_epizodfilm .zestaw .szczegoly .dodatki .sztanga:hover {
	background-image: url("/images/bar-up.png");
}

/************************************************************************************************************************************/

@media screen and (max-width: 900px) {
	#lista_epizodfilm #header, #lista_epizodfilm #footer {
		margin: 1.5rem 0.5rem 1.5rem;
		font-size: 1.5rem;
	}

	#lista_epizodfilm .cwicz {
		font-size: 1.4rem;
	}

	#glowna_epizodfilm .zestaw {
		 flex-wrap: wrap;
		 margin: 1rem 0rem 2rem;
	}

	#glowna_epizodfilm .zestaw .film {
		--moviewidth: var(--pagewidth);
		background-color: black;
	}

	#glowna_epizodfilm .zestaw .szczegoly {
		width: 100vw;
		padding: 0 0.75rem 0;
		flex-direction: row;
	}

	#glowna_epizodfilm .zestaw .szczegoly .thumbnail {
		min-width: 8rem;
		width: 8rem;
		order: 1;
	}

	#glowna_epizodfilm .zestaw.parzysty .szczegoly .thumbnail {
		order: -1;
	}

	#glowna_epizodfilm .zestaw .szczegoly .opis {
		font-size: 1.1rem;
		letter-spacing: 0.1rem;
		padding: 0;
		flex-grow: 1;
	}

	#glowna_epizodfilm .zestaw .szczegoly .dodatki {
		flex-direction: column;
		margin: 0;
		min-width: 8rem;
		width: 8rem;
		order: -1;
	}

	#glowna_epizodfilm .zestaw.parzysty .szczegoly .dodatki {
		order: 1;
	}

	#glowna_epizodfilm .zestaw .szczegoly .dodatki .sztanga {
		margin: auto auto 0 -1rem;
	}

	#glowna_epizodfilm .zestaw.parzysty .szczegoly .dodatki .sztanga {
		margin: auto -1rem 0 auto;
	}
}

